"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const defaults_1 = require("../../defaults");
function parse(context) {
    return __awaiter(this, void 0, void 0, function* () {
        const { logStreams } = context.assets;
        if (!logStreams)
            return { logStreams: null };
        return {
            logStreams,
        };
    });
}
function dump(context) {
    return __awaiter(this, void 0, void 0, function* () {
        const { logStreams } = context.assets;
        if (!logStreams)
            return { logStreams: null };
        // masked sensitive fields
        const maskedLogStreams = (0, defaults_1.logStreamDefaults)(logStreams);
        return {
            logStreams: maskedLogStreams,
        };
    });
}
const logStreamsHandler = {
    parse: parse,
    dump: dump,
};
exports.default = logStreamsHandler;
//# sourceMappingURL=logStreams.js.map