import { TenantSettings, TenantSettingsFlags } from 'auth0';
import DefaultHandler from './default';
import { Asset, Assets } from '../../../types';
export declare const schema: {
    type: string;
    properties: {
        default_token_quota: {
            type: string;
            properties: {
                clients: {
                    type: string;
                    properties: {
                        client_credentials: {
                            type: string;
                            properties: {
                                enforce: {
                                    type: string;
                                    default: boolean;
                                };
                                per_day: {
                                    type: string;
                                    minimum: number;
                                };
                                per_hour: {
                                    type: string;
                                    minimum: number;
                                };
                            };
                            additionalProperties: boolean;
                            minProperties: number;
                        };
                    };
                    required: string[];
                };
                organizations: {
                    type: string;
                    properties: {
                        client_credentials: {
                            type: string;
                            properties: {
                                enforce: {
                                    type: string;
                                    default: boolean;
                                };
                                per_day: {
                                    type: string;
                                    minimum: number;
                                };
                                per_hour: {
                                    type: string;
                                    minimum: number;
                                };
                            };
                            additionalProperties: boolean;
                            minProperties: number;
                        };
                    };
                    required: string[];
                };
            };
            additionalProperties: boolean;
            minProperties: number;
        };
    };
};
export type Tenant = TenantSettings;
export declare const allowedTenantFlags: string[];
export declare const removeUnallowedTenantFlags: (proposedFlags: TenantSettingsFlags) => TenantSettingsFlags;
export default class TenantHandler extends DefaultHandler {
    existing: Tenant;
    constructor(options: DefaultHandler);
    getType(): Promise<Asset>;
    validate(assets: Assets): Promise<void>;
    processChanges(assets: Assets): Promise<void>;
}
